Package org.jfree.layouting.renderer

## Class AbstractStore

- java.lang.Object
- - org.jfree.layouting.renderer.AbstractStore

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`
  Direct Known Subclasses:
    `ContentStore`, `CounterStore`, `StringStore`

      public abstract class AbstractStore
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  Creation-Date: 29.11.2006, 18:30:08
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractStore​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addInternal​(java.lang.String name, java.lang.Object contents)` |
    `java.lang.Object` | `clone​()` |
    `AbstractStore` | `derive​()` |
    `protected java.lang.Object` | `getFirstInternal​(java.lang.String name)` |
    `protected java.lang.Object` | `getInitialInternal​(java.lang.String name)` |
    `protected java.lang.Object` | `getLastInternal​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractStore

          public AbstractStore​()

  - ### Method Detail

    - #### addInternal

          protected void addInternal​(java.lang.String name,
                                     java.lang.Object contents)

    - #### getLastInternal

          protected java.lang.Object getLastInternal​(java.lang.String name)

    - #### getFirstInternal

          protected java.lang.Object getFirstInternal​(java.lang.String name)

    - #### getInitialInternal

          protected java.lang.Object getInitialInternal​(java.lang.String name)

    - #### derive

          public AbstractStore derive​()

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`